#include"StatAlgorithm.h"
#include "ContinuousParticle.h"
double CalculateW(double sampleVariance1,double sampleVariance2,double alpha,int numberOfObservations,int numberOfParticles);
double CalculateDistance(vector<double> &v1,vector <double> &v2);
vector<int> ChooseGlobalBests(Particle particles[],vector<vector<double>> &observations,int numberOfParticles,double alpha);
vector<double> CalculateQ(Particle particles[],vector<int> &globalBestIndex,vector<vector<double>> &observations);
double calculateSumOfLoyaltyFactors(vector<double> &loyaltyFactor);
double FindMaximumDistance(vector<double> &distance);
void NormalizeDistance(vector<vector<double>> &distance);
vector<vector<double>> CalculateT(vector<vector<double>> &distance,vector<double> &qualityFactor,double QDRatio,Particle particles[],vector<int> globalBestIndex);
void CalculateP(vector<vector<double>> &t);
int CalculateMax(vector<double> &vector);
void AssignGlobalBest(vector<vector<double>> &probabilityM,Particle particles[],vector<int> &globalBests);
int FindBest(Particle particles[],int numberOfParticles);
vector<int> globalBestCluster(vector<vector<double>> &observations,Particle Particles[],int dimension,int numberOfCluster,vector<int> globalBestIndex);