#ifndef STATALGORITHM_H_
#define STATALGORITHM_H_
#include "require.h"
#include <cmath>
#include <limits>
#include <iostream>

/* Inverse CDF of student-t distribution. Adapted from A guide to simulation (2nd ed) by Paul Bratley
 * pp. 340
 * Inputs: 	p = probability, df = degree of freedom
 */
double tinv(double p, int df);  

// Inverse CDF of normal. Input: probability p		
double norminv(double p);

#endif /*STATALGORITHM_H_*/
